const express = require('express');
const bodyParser = require('body-parser');

const router = express.Router();
const app = express();

app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

const users = [];

// [GET] OBTENER TODOS LOS USUARIOS: /users
router.get('/users', (req, res) => {
    res.json(users);
});

// [GET] OBTENER UN USUARIO: /user/:id
router.get('/user/:id', (req, res) => {
    const userId = Number(req.params.id);
    const user = users.find((data) => data.id === userId);
    if (!user) {
        res.status(500).send('Usuario no encontrado')
    } else {
        res.json(user);
    }
});

// [POST] CREAR UN NUEVO USUARIO: /user/new
router.post('/user', (req, res) => {
    console.log(req);
    console.log(req.body);
    const newUser = {email: req.body.email, comment: [] };
    console.log(newUser);
    users.push(newUser);
    res.json(users);
});

// [GET] OBTENER LOS COMENTARIOS DE UN USUARIO: /user/:id/comments
router.get('/user/:id/comments', (req, res) => {
    const userId = Number(req.params.id);
    const user = users.find((data) => data.id === userId);
    if (!user) {
        res.status(500).send('Usuario no encontrado')
    } else {
        res.json(user.comment);
    }
});

module.exports = router;